#!/bin/bash
if [ -z "$1" ];then
    exit 1
fi

pname=$(basename $1)

while [ $(pgrep -cx $pname) -gt 0 ]; do
	pid=$(pgrep -x $pname | head -n 1)
	while [ -e '/proc/$pid' ]; do sleep 1; done
done

while true; do
	if [ -f "$1" ];then
		$@ &
		pid=$(pgrep -x $pname | head -n 1)
		wait $pid
	else
		exit 1
	fi
done

