#ifndef DPX_BLOB_H
#define DPX_BLOB_H

#include "Config.h"
#include "Point.h"

#define DPX_BLOB_STATE_ACTIVE           1 << 0
#define DPX_BLOB_STATE_PENDING          1 << 1
#define DPX_BLOB_STATE_INACTIVE         1 << 2

typedef struct _DPX_BLOB
{
    DPX_POINT Position;
    int Weight;
    int nPressure;
    int dPressure;
    int State;
} DPX_BLOB, *PDPX_BLOB;

#define DPX_BLOB_FOREACH(B, Device) for(B=Device->Data.BlobDetection.Blobs; B!=Device->Data.BlobDetection.Blobs+Device->Data.BlobDetection.BlobCount; ++B)

PDPX_BLOB DPXBlobCreate(PDPX_DEVICE Device);

#endif // DPX_BLOB_H
