#ifndef DPX_BLOBDETECTION_H
#define DPX_BLOBDETECTION_H

#include "Config.h"
#include "Blob.h"

typedef struct _DPX_BLOBDETECTION_DATA
{
    int ActiveBlobsAvg;
    int BlobCount;
    int BlobMaxCount;
    DPX_BLOB Blobs[DPX_BLOB_MAX_COUNT];
    PDPX_BLOB SortedBlobs[DPX_BLOB_MAX_COUNT];
} DPX_BLOBDETECTION_DATA, *PDPX_BLOBDETECTION_DATA;

void DPXBlobDetectionExecute(PDPX_DEVICE Device);

#endif // DPX_BLOBDETECTION_H
