#ifndef TRACK_H
#define TRACK_H

#define MAX_TOUCHES 512
#define PERIOD 1/50

typedef struct _VEC
{
    int X, Y;
} VEC, *PVEC;

typedef struct _TRACK
{
    char Active;
    char End;
    char Begin;

    int Id;
    int X, Y;
    int Pressure;
    int Elapsed; 		// incremented when it's not updated
    int Age; 			// incremented when is updated

    int TouchIndex;
    int TouchIndexBegin;
    int TouchIndexEnd;

    int PotentialBlob;
    int BestBlob;

    VEC Touches[MAX_TOUCHES];
} TRACK, *PTRACK;

#endif // TRACK_H
