#ifndef PMAP_H
#define PMAP_H

#include "poly.h"

/* pmap return codes */
#define PMAP_BAD       -1     /* mapping doesn't exist (bad correspondence) */
#define PMAP_AFFINE     0     /* mapping is affine */
#define PMAP_PROJECTIVE 1     /* mapping is projective */

int pmap_poly(poly *p, double ST[3][3]);
int pmap_quad_quad(poly *p, double ST[3][3]);
int pmap_quad_rect(double u0, double v0, double u1, double v1, double quad[4][2], double QR[3][3]);
int pmap_square_quad(double quad[4][2], double SQ[3][3]);

#endif
