#ifndef BLOCK_H
#define BLOCK_H

#include "Config.h"

typedef struct _DPX_BLOCK
{
    int X;
    int Y;
    int Left;
    int Right;
    int Top;
    int Bottom;
    int Size;
    int Matched;
    int LECount;
    int LCount;
    int Delta;
    int MaxDelta;
    int Volume;
    int FLMaxDelta;
    int FLDeltaAvg;
    int SLMaxDelta;
    int SLDeltaAvg;
} DPX_BLOCK, *PDPX_BLOCK;

void DPXBlocksConfigure(PDPX_DEVICE Device);
void DPXBlockMatchExecute(PDPX_DEVICE Device);
void DPXBlockApprove(PDPX_DEVICE device, PDPX_BLOCK block);

#endif // TEMPLATES_H
