#ifndef POLY_H
#define POLY_H

#define POLY_NMAX 4                     /* max #sides to a polygon */

typedef struct {                        /* A POLYGON VERTEX */
    double u, v;                        /* texture space coords */
    double sx, sy;                      /* screen space coords */
    double x, y;                        /* object space coords */
    double z, b;                        /* object space coords */
} poly_vert;

typedef struct {                        /* A POLYGON */
    poly_vert vert[POLY_NMAX];          /* vertices */
    int n;                              /* number of sides */
    int unused;                         /* unused */
} poly;

#endif
